Bug 1008819 - Compiler crashed on Fedora when compiling 3.11.1 linux source
Compiler crashed on Fedora when compiling 3.11.1 linux source
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gcc (Show other bugs)
5.9
x86_64 Linux
unspecified Severity medium
: ---
: 5.10
Assigned To: Jakub Jelinek
Martin Cermak
:
Depends On:
Blocks: 1049888
  Show dependency treegraph
 
Reported: 2013-09-17 02:52 EDT by Sri
Modified: 2014-09-15 20:28 EDT (History)
6 users (show)

See Also:
Fixed In Version: gcc-4.1.2-55.el5
Doc Type: Bug Fix
Doc Text:
Previously, GCC could crash when compiling a code that initializes a structure that contains nested structures that contain typedef to an array of structures. A fix has been applied and GCC now compiles the code correctly.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-15 20:28:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bugreport (1.29 MB, text/plain)
2013-09-17 02:55 EDT, Sri
no flags Details

  None (edit)
Description Sri 2013-09-17 02:52:16 EDT
Description of problem:


Version-Release number of selected component (if applicable):
Compiler version 4.1.2-33 RedHat

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
fs/gfs2/rgrp.c: In function ‘try_rgrp_unlink’:
fs/gfs2/rgrp.c:1648: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccvPwC7N.out file, please attach this to your bugreport.
make[2]: *** [fs/gfs2/rgrp.o] Error 1
make[1]: *** [fs/gfs2] Error 2
make: *** [fs] Error 2


Expected results:


Additional info:
Comment 1 Sri 2013-09-17 02:55:02 EDT
Created attachment 798639 [details]
bugreport
Comment 2 Dennis Gilmore 2013-09-17 09:27:22 EDT
reassigning to gcc, hoever that version of gcc shipped wuth Fedora 8 that has been End of Life for years now. you likely will need to reproduce with a current fedora release
Comment 3 Jakub Jelinek 2013-09-18 11:35:18 EDT
It reproduces on RHEL5 too, guess it has been fixed by
http://gcc.gnu.org/ml/gcc-patches/2006-09/msg01298.html
but I guess the right fix is just to allow TYPE_DOMAIN to be NULL in type_contains_placeholder_1.  Seems since 2010 that function doesn't recurse through pointers and thus perhaps that is unnecessary on the trunk.
Comment 4 RHEL Product and Program Management 2013-09-18 11:39:57 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 5 RHEL Product and Program Management 2014-01-22 11:25:37 EST
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 7 Dagmar Prokopová 2014-03-25 14:30:57 EDT
Verified for gcc-4.1.2-55.el5.
Comment 10 errata-xmlrpc 2014-09-15 20:28:29 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1209.html

Note You need to log in before you can comment on or make changes to this bug.